Bug 7627 - Editing of invoice number
Summary: Editing of invoice number
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P1 - high enhancement (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on: 5339
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 11:36 UTC by Nabonita Guha
Modified: 2020-01-06 20:15 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nabonita Guha 2012-03-01 11:36:03 UTC
There is no provision to alter the price of the invoice after saving an invoice while receive shipment. If any human error has taken place while modifying the price of the book, it can't be rectified once the invoice is saved. Can we have an edit option to modify the price of received titles.
Comment 1 Nicole C. Engard 2012-03-14 12:02:30 UTC
I'd add to this that a mechanism to edit the invoice number also needs to be available.  There is a way to edit the basket headers after a basket is closed so there should something similar for invoices.

Nicole
Comment 2 Katrin Fischer 2012-03-14 12:06:44 UTC
Hi Nicole, there some work under way for a separate table for invoice data. I am linking both bugs together.
Comment 3 Katrin Fischer 2013-04-14 09:27:06 UTC
You can now edit almost all details on an invoice - but not the invoice number. You can also undo receives, but apparently not delete an invoice once it was created.
Comment 4 mathieu saby 2013-04-14 11:36:40 UTC
We need the ability to suppress an invoice or to change its name (to correct errors made when we start to use Acq module...)

M. Saby
Comment 5 Katrin Fischer 2014-09-11 10:04:24 UTC
Invoices with no received orders can now be deleted, editing the invoice number is still impossible.
Comment 6 Katrin Fischer 2019-02-05 00:23:26 UTC
Invoice number can now be edited which takes care of the last issue here.